Index: applications/editors/josm/plugins/smed/src/panels/PanelStbd.java
===================================================================
--- applications/editors/josm/plugins/smed/src/panels/PanelStbd.java	(revision 32699)
+++ applications/editors/josm/plugins/smed/src/panels/PanelStbd.java	(revision 32767)
@@ -1,124 +1,136 @@
 package panels;
 
-import java.awt.*;
-import java.awt.event.*;
-import javax.swing.*;
+import java.awt.Rectangle;
+import java.awt.event.ActionEvent;
+import java.awt.event.ActionListener;
+import java.util.EnumMap;
 
-import java.util.*;
+import javax.swing.BorderFactory;
+import javax.swing.ButtonGroup;
+import javax.swing.ImageIcon;
+import javax.swing.JPanel;
+import javax.swing.JRadioButton;
 
 import messages.Messages;
+import seamarks.SeaMark.Cat;
+import seamarks.SeaMark.Col;
+import seamarks.SeaMark.Obj;
+import seamarks.SeaMark.Pat;
+import seamarks.SeaMark.Shp;
 import smed.SmedAction;
-import seamarks.SeaMark.*;
 
 public class PanelStbd extends JPanel {
 
-	private SmedAction dlg;
-	public ButtonGroup shapeButtons = new ButtonGroup();
-	public JRadioButton pillarButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/PillarButton.png")));
-	public JRadioButton sparButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SparButton.png")));
-	public JRadioButton coneButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/ConeButton.png")));
-	public JRadioButton sphereButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SphereButton.png")));
-	public JRadioButton floatButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/FloatButton.png")));
-	public JRadioButton beaconButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/BeaconButton.png")));
-	public JRadioButton towerButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/TowerButton.png")));
-	public JRadioButton perchButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/PerchSButton.png")));
-	public JRadioButton stakeButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/StakeButton.png")));
-	public EnumMap<Shp, JRadioButton> shapes = new EnumMap<>(Shp.class);
-	public EnumMap<Shp, Obj> objects = new EnumMap<>(Shp.class);
-	public ActionListener alShape = new ActionListener() {
-		public void actionPerformed(java.awt.event.ActionEvent e) {
-			for (Shp shp : shapes.keySet()) {
-				JRadioButton button = shapes.get(shp);
-				if (button.isSelected()) {
-					SmedAction.panelMain.mark.setShape(shp);
-					SmedAction.panelMain.mark.setObject(objects.get(shp));
-					button.setBorderPainted(true);
-				} else
-					button.setBorderPainted(false);
-			}
-			if (SmedAction.panelMain.mark.testValid()) {
-				SmedAction.panelMain.panelChan.topmarkButton.setVisible(true);
-				SmedAction.panelMain.panelChan.lightButton.setVisible(true);
-				if (SmedAction.panelMain.mark.getCategory() == Cat.LAM_STBD) {
-					switch (SmedAction.panelMain.mark.getRegion()) {
-					case A:
-						SmedAction.panelMain.mark.setObjPattern(Pat.NOPAT);
-						SmedAction.panelMain.mark.setObjColour(Col.GREEN);
-						break;
-					case B:
-						SmedAction.panelMain.mark.setObjPattern(Pat.NOPAT);
-						SmedAction.panelMain.mark.setObjColour(Col.RED);
-						break;
-					case C:
-						SmedAction.panelMain.mark.setObjPattern(Pat.HSTRP);
-						SmedAction.panelMain.mark.setObjColour(Col.GREEN);
-						SmedAction.panelMain.mark.addObjColour(Col.WHITE);
-						SmedAction.panelMain.mark.addObjColour(Col.GREEN);
-						SmedAction.panelMain.mark.addObjColour(Col.WHITE);
-						break;
-					}
-				} else {
-					SmedAction.panelMain.mark.setObjPattern(Pat.HSTRP);
-					switch (SmedAction.panelMain.mark.getRegion()) {
-					case A:
-						SmedAction.panelMain.mark.setObjColour(Col.GREEN);
-						SmedAction.panelMain.mark.addObjColour(Col.RED);
-						SmedAction.panelMain.mark.addObjColour(Col.GREEN);
-						break;
-					case B:
-						SmedAction.panelMain.mark.setObjColour(Col.RED);
-						SmedAction.panelMain.mark.addObjColour(Col.GREEN);
-						SmedAction.panelMain.mark.addObjColour(Col.RED);
-						break;
-					case C:
-						SmedAction.panelMain.mark.setObjColour(Col.RED);
-						SmedAction.panelMain.mark.addObjColour(Col.GREEN);
-						SmedAction.panelMain.mark.addObjColour(Col.RED);
-						SmedAction.panelMain.mark.addObjColour(Col.GREEN);
-						break;
-					}
-				}
-				SmedAction.panelMain.panelMore.syncPanel();
-			} else {
-				SmedAction.panelMain.panelChan.topmarkButton.setVisible(false);
-				SmedAction.panelMain.panelChan.lightButton.setVisible(false);
-			}
-		}
-	};
+    private SmedAction dlg;
+    public ButtonGroup shapeButtons = new ButtonGroup();
+    public JRadioButton pillarButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/PillarButton.png")));
+    public JRadioButton sparButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SparButton.png")));
+    public JRadioButton coneButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/ConeButton.png")));
+    public JRadioButton sphereButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SphereButton.png")));
+    public JRadioButton floatButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/FloatButton.png")));
+    public JRadioButton beaconButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/BeaconButton.png")));
+    public JRadioButton towerButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/TowerButton.png")));
+    public JRadioButton perchButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/PerchSButton.png")));
+    public JRadioButton stakeButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/StakeButton.png")));
+    public EnumMap<Shp, JRadioButton> shapes = new EnumMap<>(Shp.class);
+    public EnumMap<Shp, Obj> objects = new EnumMap<>(Shp.class);
+    public ActionListener alShape = new ActionListener() {
+        @Override
+        public void actionPerformed(ActionEvent e) {
+            for (Shp shp : shapes.keySet()) {
+                JRadioButton button = shapes.get(shp);
+                if (button.isSelected()) {
+                    SmedAction.panelMain.mark.setShape(shp);
+                    SmedAction.panelMain.mark.setObject(objects.get(shp));
+                    button.setBorderPainted(true);
+                } else {
+                    button.setBorderPainted(false);
+                }
+            }
+            if (SmedAction.panelMain.mark.testValid()) {
+                SmedAction.panelMain.panelChan.topmarkButton.setVisible(true);
+                SmedAction.panelMain.panelChan.lightButton.setVisible(true);
+                if (SmedAction.panelMain.mark.getCategory() == Cat.LAM_STBD) {
+                    switch (SmedAction.panelMain.mark.getRegion()) {
+                    case A:
+                        SmedAction.panelMain.mark.setObjPattern(Pat.NOPAT);
+                        SmedAction.panelMain.mark.setObjColour(Col.GREEN);
+                        break;
+                    case B:
+                        SmedAction.panelMain.mark.setObjPattern(Pat.NOPAT);
+                        SmedAction.panelMain.mark.setObjColour(Col.RED);
+                        break;
+                    case C:
+                        SmedAction.panelMain.mark.setObjPattern(Pat.HSTRP);
+                        SmedAction.panelMain.mark.setObjColour(Col.GREEN);
+                        SmedAction.panelMain.mark.addObjColour(Col.WHITE);
+                        SmedAction.panelMain.mark.addObjColour(Col.GREEN);
+                        SmedAction.panelMain.mark.addObjColour(Col.WHITE);
+                        break;
+                    }
+                } else {
+                    SmedAction.panelMain.mark.setObjPattern(Pat.HSTRP);
+                    switch (SmedAction.panelMain.mark.getRegion()) {
+                    case A:
+                        SmedAction.panelMain.mark.setObjColour(Col.GREEN);
+                        SmedAction.panelMain.mark.addObjColour(Col.RED);
+                        SmedAction.panelMain.mark.addObjColour(Col.GREEN);
+                        break;
+                    case B:
+                        SmedAction.panelMain.mark.setObjColour(Col.RED);
+                        SmedAction.panelMain.mark.addObjColour(Col.GREEN);
+                        SmedAction.panelMain.mark.addObjColour(Col.RED);
+                        break;
+                    case C:
+                        SmedAction.panelMain.mark.setObjColour(Col.RED);
+                        SmedAction.panelMain.mark.addObjColour(Col.GREEN);
+                        SmedAction.panelMain.mark.addObjColour(Col.RED);
+                        SmedAction.panelMain.mark.addObjColour(Col.GREEN);
+                        break;
+                    }
+                }
+                SmedAction.panelMain.panelMore.syncPanel();
+            } else {
+                SmedAction.panelMain.panelChan.topmarkButton.setVisible(false);
+                SmedAction.panelMain.panelChan.lightButton.setVisible(false);
+            }
+        }
+    };
 
-	public PanelStbd(SmedAction dia) {
-		dlg = dia;
-		setLayout(null);
-		add(getShapeButton(pillarButton, 0, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYLAT));
-		add(getShapeButton(sparButton, 0, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYLAT));
-		add(getShapeButton(coneButton, 0, 64, 34, 32, "Cone", Shp.CONI, Obj.BOYLAT));
-		add(getShapeButton(sphereButton, 0, 96, 34, 32, "Sphere", Shp.SPHERI, Obj.BOYLAT));
-		add(getShapeButton(floatButton, 0, 128, 34, 32, "Float", Shp.FLOAT, Obj.FLTLAT));
-		add(getShapeButton(beaconButton, 35, 0, 34, 32, "Beacon", Shp.BEACON, Obj.BCNLAT));
-		add(getShapeButton(towerButton, 35, 32, 34, 32, "TowerB", Shp.TOWER, Obj.BCNLAT));
-		add(getShapeButton(perchButton, 35, 64, 34, 32, "Perch", Shp.PERCH, Obj.BCNLAT));
-		add(getShapeButton(stakeButton, 35, 96, 34, 32, "Stake", Shp.STAKE, Obj.BCNLAT));
-	}
+    public PanelStbd(SmedAction dia) {
+        dlg = dia;
+        setLayout(null);
+        add(getShapeButton(pillarButton, 0, 0, 34, 32, "Pillar", Shp.PILLAR, Obj.BOYLAT));
+        add(getShapeButton(sparButton, 0, 32, 34, 32, "Spar", Shp.SPAR, Obj.BOYLAT));
+        add(getShapeButton(coneButton, 0, 64, 34, 32, "Cone", Shp.CONI, Obj.BOYLAT));
+        add(getShapeButton(sphereButton, 0, 96, 34, 32, "Sphere", Shp.SPHERI, Obj.BOYLAT));
+        add(getShapeButton(floatButton, 0, 128, 34, 32, "Float", Shp.FLOAT, Obj.FLTLAT));
+        add(getShapeButton(beaconButton, 35, 0, 34, 32, "Beacon", Shp.BEACON, Obj.BCNLAT));
+        add(getShapeButton(towerButton, 35, 32, 34, 32, "TowerB", Shp.TOWER, Obj.BCNLAT));
+        add(getShapeButton(perchButton, 35, 64, 34, 32, "Perch", Shp.PERCH, Obj.BCNLAT));
+        add(getShapeButton(stakeButton, 35, 96, 34, 32, "Stake", Shp.STAKE, Obj.BCNLAT));
+    }
 
-	public void syncPanel() {
-		for (Shp shp : shapes.keySet()) {
-			JRadioButton button = shapes.get(shp);
-			if (SmedAction.panelMain.mark.getShape() == shp) {
-				button.setBorderPainted(true);
-			} else
-				button.setBorderPainted(false);
-		}
-	}
+    public void syncPanel() {
+        for (Shp shp : shapes.keySet()) {
+            JRadioButton button = shapes.get(shp);
+            if (SmedAction.panelMain.mark.getShape() == shp) {
+                button.setBorderPainted(true);
+            } else {
+                button.setBorderPainted(false);
+            }
+        }
+    }
 
-	private JRadioButton getShapeButton(JRadioButton button, int x, int y, int w, int h, String tip, Shp shp, Obj obj) {
-		button.setBounds(new Rectangle(x, y, w, h));
-		button.setBorder(BorderFactory.createLoweredBevelBorder());
-		button.setToolTipText(Messages.getString(tip));
-		button.addActionListener(alShape);
-		shapeButtons.add(button);
-		shapes.put(shp, button);
-		objects.put(shp, obj);
-		return button;
-	}
+    private JRadioButton getShapeButton(JRadioButton button, int x, int y, int w, int h, String tip, Shp shp, Obj obj) {
+        button.setBounds(new Rectangle(x, y, w, h));
+        button.setBorder(BorderFactory.createLoweredBevelBorder());
+        button.setToolTipText(Messages.getString(tip));
+        button.addActionListener(alShape);
+        shapeButtons.add(button);
+        shapes.put(shp, button);
+        objects.put(shp, obj);
+        return button;
+    }
 
 }
Index: applications/editors/josm/plugins/smed/src/panels/PanelTop.java
===================================================================
--- applications/editors/josm/plugins/smed/src/panels/PanelTop.java	(revision 32699)
+++ applications/editors/josm/plugins/smed/src/panels/PanelTop.java	(revision 32767)
@@ -1,99 +1,108 @@
 package panels;
 
-import java.awt.*;
-import java.awt.event.*;
-import javax.swing.*;
+import java.awt.Rectangle;
+import java.awt.event.ActionEvent;
+import java.awt.event.ActionListener;
+import java.util.EnumMap;
 
-import java.util.*;
+import javax.swing.BorderFactory;
+import javax.swing.ButtonGroup;
+import javax.swing.ImageIcon;
+import javax.swing.JPanel;
+import javax.swing.JRadioButton;
 
 import messages.Messages;
+import seamarks.SeaMark.Ent;
+import seamarks.SeaMark.Top;
 import smed.SmedAction;
-import seamarks.SeaMark.*;
 
 public class PanelTop extends JPanel {
 
-	private SmedAction dlg;
-	public PanelPat panelPat = null;
-	private ButtonGroup topButtons = new ButtonGroup();
-	public JRadioButton noTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/OffButton.png")));
-	public JRadioButton canTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/CanTopButton.png")));
-	public JRadioButton coneTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/ConeTopButton.png")));
-	public JRadioButton sphereTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SphereTopButton.png")));
-	public JRadioButton XTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/XTopButton.png")));
-	public JRadioButton northTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/NorthTopButton.png")));
-	public JRadioButton southTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SouthTopButton.png")));
-	public JRadioButton eastTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/EastTopButton.png")));
-	public JRadioButton westTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/WestTopButton.png")));
-	public JRadioButton spheres2TopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/Spheres2TopButton.png")));
-	public JRadioButton boardDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/BoardDayButton.png")));
-	public JRadioButton rhombusDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/DiamondDayButton.png")));
-	public JRadioButton triangleDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/TriangleDayButton.png")));
-	public JRadioButton triangleInvDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/TriangleInvDayButton.png")));
-	public JRadioButton squareDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SquareDayButton.png")));
-	public JRadioButton circleDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/CircleDayButton.png")));
-	private EnumMap<Top, JRadioButton> tops = new EnumMap<>(Top.class);
-	private ActionListener alTop = new ActionListener() {
-		public void actionPerformed(java.awt.event.ActionEvent e) {
-			for (Top top : tops.keySet()) {
-				JRadioButton button = tops.get(top);
-				if (button.isSelected()) {
-					SmedAction.panelMain.mark.setTopmark(top);
-					button.setBorderPainted(true);
-				} else
-					button.setBorderPainted(false);
-			}
-		}
-	};
+    private SmedAction dlg;
+    public PanelPat panelPat = null;
+    private ButtonGroup topButtons = new ButtonGroup();
+    public JRadioButton noTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/OffButton.png")));
+    public JRadioButton canTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/CanTopButton.png")));
+    public JRadioButton coneTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/ConeTopButton.png")));
+    public JRadioButton sphereTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SphereTopButton.png")));
+    public JRadioButton XTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/XTopButton.png")));
+    public JRadioButton northTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/NorthTopButton.png")));
+    public JRadioButton southTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SouthTopButton.png")));
+    public JRadioButton eastTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/EastTopButton.png")));
+    public JRadioButton westTopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/WestTopButton.png")));
+    public JRadioButton spheres2TopButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/Spheres2TopButton.png")));
+    public JRadioButton boardDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/BoardDayButton.png")));
+    public JRadioButton rhombusDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/DiamondDayButton.png")));
+    public JRadioButton triangleDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/TriangleDayButton.png")));
+    public JRadioButton triangleInvDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/TriangleInvDayButton.png")));
+    public JRadioButton squareDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/SquareDayButton.png")));
+    public JRadioButton circleDayButton = new JRadioButton(new ImageIcon(getClass().getResource("/images/CircleDayButton.png")));
+    private EnumMap<Top, JRadioButton> tops = new EnumMap<>(Top.class);
+    private ActionListener alTop = new ActionListener() {
+        @Override
+        public void actionPerformed(ActionEvent e) {
+            for (Top top : tops.keySet()) {
+                JRadioButton button = tops.get(top);
+                if (button.isSelected()) {
+                    SmedAction.panelMain.mark.setTopmark(top);
+                    button.setBorderPainted(true);
+                } else {
+                    button.setBorderPainted(false);
+                }
+            }
+        }
+    };
 
-	public PanelTop(SmedAction dia) {
-		dlg = dia;
-		setLayout(null);
-		panelPat = new PanelPat(dlg, Ent.TOPMARK);
-		panelPat.setBounds(new Rectangle(160, 0, 110, 160));
-		add(panelPat);
-		add(getTopButton(noTopButton, 0, 5, 27, 27, "NoTop", Top.NOTOP));
-		add(getTopButton(canTopButton, 30, 5, 27, 27, "CanTop", Top.CYL));
-		add(getTopButton(coneTopButton, 60, 5, 27, 27, "ConeTop", Top.CONE));
-		add(getTopButton(sphereTopButton, 90, 5, 27, 27, "SphereTop", Top.SPHERE));
-		add(getTopButton(XTopButton, 120, 5, 27, 27, "XTop", Top.X_SHAPE));
-		add(getTopButton(northTopButton, 0, 35, 27, 27, "NorthTop", Top.NORTH));
-		add(getTopButton(southTopButton, 30, 35, 27, 27, "SouthTop", Top.SOUTH));
-		add(getTopButton(eastTopButton, 60, 35, 27, 27, "EastTop", Top.EAST));
-		add(getTopButton(westTopButton, 90, 35, 27, 27, "WestTop", Top.WEST));
-		add(getTopButton(spheres2TopButton, 120, 35, 27, 27, "Spheres2Top", Top.SPHERES2));
-		add(getTopButton(boardDayButton, 0, 65, 27, 27, "BoardDay", Top.BOARD));
-		add(getTopButton(rhombusDayButton, 30, 65, 27, 27, "DiamondDay", Top.RHOMBUS));
-		add(getTopButton(triangleDayButton, 60, 65, 27, 27, "TriangleDay", Top.TRIANGLE));
-		add(getTopButton(triangleInvDayButton, 90, 65, 27, 27, "TriangleInvDay", Top.TRIANGLE_INV));
-		add(getTopButton(squareDayButton, 120, 65, 27, 27, "SquareDay", Top.SQUARE));
-		add(getTopButton(circleDayButton, 120, 95, 27, 27, "CircleDay", Top.CIRCLE));
-	}
+    public PanelTop(SmedAction dia) {
+        dlg = dia;
+        setLayout(null);
+        panelPat = new PanelPat(dlg, Ent.TOPMARK);
+        panelPat.setBounds(new Rectangle(160, 0, 110, 160));
+        add(panelPat);
+        add(getTopButton(noTopButton, 0, 5, 27, 27, "NoTop", Top.NOTOP));
+        add(getTopButton(canTopButton, 30, 5, 27, 27, "CanTop", Top.CYL));
+        add(getTopButton(coneTopButton, 60, 5, 27, 27, "ConeTop", Top.CONE));
+        add(getTopButton(sphereTopButton, 90, 5, 27, 27, "SphereTop", Top.SPHERE));
+        add(getTopButton(XTopButton, 120, 5, 27, 27, "XTop", Top.X_SHAPE));
+        add(getTopButton(northTopButton, 0, 35, 27, 27, "NorthTop", Top.NORTH));
+        add(getTopButton(southTopButton, 30, 35, 27, 27, "SouthTop", Top.SOUTH));
+        add(getTopButton(eastTopButton, 60, 35, 27, 27, "EastTop", Top.EAST));
+        add(getTopButton(westTopButton, 90, 35, 27, 27, "WestTop", Top.WEST));
+        add(getTopButton(spheres2TopButton, 120, 35, 27, 27, "Spheres2Top", Top.SPHERES2));
+        add(getTopButton(boardDayButton, 0, 65, 27, 27, "BoardDay", Top.BOARD));
+        add(getTopButton(rhombusDayButton, 30, 65, 27, 27, "DiamondDay", Top.RHOMBUS));
+        add(getTopButton(triangleDayButton, 60, 65, 27, 27, "TriangleDay", Top.TRIANGLE));
+        add(getTopButton(triangleInvDayButton, 90, 65, 27, 27, "TriangleInvDay", Top.TRIANGLE_INV));
+        add(getTopButton(squareDayButton, 120, 65, 27, 27, "SquareDay", Top.SQUARE));
+        add(getTopButton(circleDayButton, 120, 95, 27, 27, "CircleDay", Top.CIRCLE));
+    }
 
-	public void enableAll(boolean state) {
-		for (JRadioButton button : tops.values()) {
-			button.setEnabled(state);
-		}
-	}
+    public void enableAll(boolean state) {
+        for (JRadioButton button : tops.values()) {
+            button.setEnabled(state);
+        }
+    }
 
-	public void syncPanel() {
-		for (Top top : tops.keySet()) {
-			JRadioButton button = tops.get(top);
-			if (SmedAction.panelMain.mark.getTopmark() == top) {
-				button.setBorderPainted(true);
-			} else
-				button.setBorderPainted(false);
-		}
-		panelPat.syncPanel();
-	}
+    public void syncPanel() {
+        for (Top top : tops.keySet()) {
+            JRadioButton button = tops.get(top);
+            if (SmedAction.panelMain.mark.getTopmark() == top) {
+                button.setBorderPainted(true);
+            } else {
+                button.setBorderPainted(false);
+            }
+        }
+        panelPat.syncPanel();
+    }
 
-	private JRadioButton getTopButton(JRadioButton button, int x, int y, int w, int h, String tip, Top top) {
-		button.setBounds(new Rectangle(x, y, w, h));
-		button.setBorder(BorderFactory.createLoweredBevelBorder());
-		button.setToolTipText(Messages.getString(tip));
-		button.addActionListener(alTop);
-		topButtons.add(button);
-		tops.put(top, button);
-		return button;
-	}
+    private JRadioButton getTopButton(JRadioButton button, int x, int y, int w, int h, String tip, Top top) {
+        button.setBounds(new Rectangle(x, y, w, h));
+        button.setBorder(BorderFactory.createLoweredBevelBorder());
+        button.setToolTipText(Messages.getString(tip));
+        button.addActionListener(alTop);
+        topButtons.add(button);
+        tops.put(top, button);
+        return button;
+    }
 
 }
Index: applications/editors/josm/plugins/smed/src/smed/SmedAction.java
===================================================================
--- applications/editors/josm/plugins/smed/src/smed/SmedAction.java	(revision 32699)
+++ applications/editors/josm/plugins/smed/src/smed/SmedAction.java	(revision 32767)
@@ -10,103 +10,106 @@
 package smed;
 
-import java.awt.*;
-import java.awt.event.*;
-import java.util.*;
+import static org.openstreetmap.josm.tools.I18n.tr;
 
-import javax.swing.*;
+import java.awt.Dimension;
+import java.awt.event.ActionEvent;
+import java.util.Collection;
 
-import static org.openstreetmap.josm.tools.I18n.tr;
+import javax.swing.JFrame;
+import javax.swing.SwingUtilities;
+import javax.swing.WindowConstants;
+
 import org.openstreetmap.josm.actions.JosmAction;
 import org.openstreetmap.josm.data.SelectionChangedListener;
-import org.openstreetmap.josm.data.osm.*;
+import org.openstreetmap.josm.data.osm.DataSet;
+import org.openstreetmap.josm.data.osm.OsmPrimitive;
 
 import messages.Messages;
-
 import panels.PanelMain;
 
 public class SmedAction extends JosmAction implements SelectionChangedListener {
 
-	private static final long serialVersionUID = 1L;
-	private static String editor = tr("SeaMap Editor");
-	public static JFrame editFrame = null;
-	private boolean isOpen = false;
-	public static PanelMain panelMain = null;
+    private static final long serialVersionUID = 1L;
+    private static String editor = tr("SeaMap Editor");
+    public static JFrame editFrame = null;
+    private boolean isOpen = false;
+    public static PanelMain panelMain = null;
 
-	public OsmPrimitive node = null;
-	private Collection<? extends OsmPrimitive> selection = null;
+    public OsmPrimitive node = null;
+    private Collection<? extends OsmPrimitive> selection = null;
 
-	public SmedAction() {
-		super(editor, "Smed", editor, null, true);
-	}
+    public SmedAction() {
+        super(editor, "Smed", editor, null, true);
+    }
 
-	@Override
-	public void actionPerformed(ActionEvent arg0) {
-		SwingUtilities.invokeLater(new Runnable() {
-			public void run() {
-				if (!isOpen)
-					createFrame();
-				else
-					editFrame.toFront();
-				isOpen = true;
-			}
-		});
-	}
+    @Override
+    public void actionPerformed(ActionEvent arg0) {
+        SwingUtilities.invokeLater(new Runnable() {
+            public void run() {
+                if (!isOpen)
+                    createFrame();
+                else
+                    editFrame.toFront();
+                isOpen = true;
+            }
+        });
+    }
 
-	protected void createFrame() {
-		editFrame = new JFrame(editor);
-		editFrame.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
-		editFrame.addWindowListener(new java.awt.event.WindowAdapter() {
-			public void windowClosing(java.awt.event.WindowEvent e) {
-				closeDialog();
-			}
-		});
-		editFrame.setSize(new Dimension(420, 430));
-		editFrame.setLocation(100, 200);
-		editFrame.setResizable(true);
-		editFrame.setAlwaysOnTop(true);
-		editFrame.setVisible(true);
-		editFrame.setLayout(null);
-		panelMain = new PanelMain(this);
-		panelMain.setBounds(10, 10, 400, 400);
-		node = null;
-		panelMain.syncPanel();
-		editFrame.add(panelMain);
-		DataSet.addSelectionListener(this);
+    protected void createFrame() {
+        editFrame = new JFrame(editor);
+        editFrame.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
+        editFrame.addWindowListener(new java.awt.event.WindowAdapter() {
+            public void windowClosing(java.awt.event.WindowEvent e) {
+                closeDialog();
+            }
+        });
+        editFrame.setSize(new Dimension(420, 430));
+        editFrame.setLocation(100, 200);
+        editFrame.setResizable(true);
+        editFrame.setAlwaysOnTop(true);
+        editFrame.setVisible(true);
+        editFrame.setLayout(null);
+        panelMain = new PanelMain(this);
+        panelMain.setBounds(10, 10, 400, 400);
+        node = null;
+        panelMain.syncPanel();
+        editFrame.add(panelMain);
+        DataSet.addSelectionListener(this);
 
-		// System.out.println("hello");
-	}
+        // System.out.println("hello");
+    }
 
-	public void closeDialog() {
-		if (isOpen) {
-			editFrame.setVisible(false);
-			editFrame.dispose();
-		}
-		isOpen = false;
-	}
+    public void closeDialog() {
+        if (isOpen) {
+            editFrame.setVisible(false);
+            editFrame.dispose();
+        }
+        isOpen = false;
+    }
 
-	@Override
-	public void selectionChanged(Collection<? extends OsmPrimitive> newSelection) {
-		OsmPrimitive nextNode = null;
-		selection = newSelection;
+    @Override
+    public void selectionChanged(Collection<? extends OsmPrimitive> newSelection) {
+        OsmPrimitive nextNode = null;
+        selection = newSelection;
 
-		for (OsmPrimitive osm : selection) {
-			nextNode = (OsmPrimitive) osm;
-			if (selection.size() == 1) {
-				if (nextNode.compareTo(node) != 0) {
-					node = nextNode;
-					panelMain.mark.parseMark(node);
-				}
-			} else {
-				node = null;
-				panelMain.mark.clrMark();
-				PanelMain.messageBar.setText(Messages.getString("OneNode"));
-			}
-		}
-		if (nextNode == null) {
-			node = null;
-			panelMain.mark.clrMark();
-			PanelMain.messageBar.setText(Messages.getString("SelectNode"));
-		}
-	}
+        for (OsmPrimitive osm : selection) {
+            nextNode = (OsmPrimitive) osm;
+            if (selection.size() == 1) {
+                if (nextNode.compareTo(node) != 0) {
+                    node = nextNode;
+                    panelMain.mark.parseMark(node);
+                }
+            } else {
+                node = null;
+                panelMain.mark.clrMark();
+                PanelMain.messageBar.setText(Messages.getString("OneNode"));
+            }
+        }
+        if (nextNode == null) {
+            node = null;
+            panelMain.mark.clrMark();
+            PanelMain.messageBar.setText(Messages.getString("SelectNode"));
+        }
+    }
 
 }
